  #version 3.7;
  #include "colors.inc"

  global_settings {
    assumed_gamma 1.8
  }

  camera {
    right 1.78*x
    location <0, 0, -6>
    look_at <0, 1, 0>
    angle 0
  }


  #declare area_lamp = light_source { <0, 15, 0>
    color White
    area_light <6,0,0>, <0,0,6>, 3, 3
    adaptive 1
    jitter
  }
  area_lamp


//  sphere {
//    <-3, 1, 2>, 2
//    texture {
//      pigment { 
//        wood
//        color_map {
//          [0.1 color DarkTan]
//          [0.9 color DarkBrown]
//          [1.0 color VeryDarkBrown]        
//        }
//        turbulence 0.05
//        scale <0.2, 0.3, 1>
//      }
//      normal { bumps 0.1 scale 0.2 }
//      finish { phong 0.65 }
//    }
//  }


  sphere {
    <0, 1, 2>, 2
    texture {
      pigment {
        wood
        color_map {
          [0.0 color Red]
          [0.5 color Green]
          [1.0 color Blue]
        }
        turbulence 0.08
        scale 3
      }
      finish { phong 1 }
    }
  }  
