  #version 3.7;

  #include "colors.inc"

  global_settings {
    assumed_gamma 2.2
  }

  camera {
    right 1.78*x
    angle 10
    location <1, 3, -50>
    look_at <0, 2.2, 0>
  }

  background{White}

  light_source {
    <20, 20, -20> color White
  }

  lathe {
    linear_spline
    6,
    <0,0>, <1,1>, <3,2>, <2,3>, <2,4>, <0,4>
    pigment { Blue }
    finish {
      ambient .3
      phong .75
    }
  }
